@echo OFF

SET MAP_PATH="%~1"
SET MAP_OUTFILE="%~dpn1.bsp"
SET TOOLS_PATH="%~dp0"

SET CSG_PARAMS=-wadautodetect -cliptype precise
SET BSP_PARAMS=
SET VIS_PARAMS=-full
SET RAD_PARAMS=-bounce 20 -extra -sparse -dscale 1 -aooccx 0.18 -aooccy 0.06 -aobrgx 1 -aobrgy 1
SET ALL_PARAMS=-estimate -threads 4 -chart -low


@echo.-- Compiling CSG
%TOOLS_PATH%\HLCSG.exe %MAP_PATH% %ALL_PARAMS% %CSG_PARAMS%
@echo.-- Compiling BSP Tree
%TOOLS_PATH%\HLBSP.exe %MAP_PATH% %ALL_PARAMS% %BSP_PARAMS%
@echo.-- Compiling VIS
%TOOLS_PATH%\HLVIS.exe %MAP_PATH% %ALL_PARAMS% %VIS_PARAMS%
@echo.-- Compiling RAD
%TOOLS_PATH%\HLRAD.exe %MAP_PATH% %ALL_PARAMS% %RAD_PARAMS%

:end

@pause>nul
exit